Bug 1262404 (CVE-2015-4499) - CVE-2015-4499 bugzilla: Email address is not properly validated during registration
Summary: CVE-2015-4499 bugzilla: Email address is not properly validated during regist...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-4499
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1262405 1262406 1262407
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-11 14:41 UTC by Adam Mariš
Modified: 2019-09-29 13:36 UTC (History)
3 users (show)

Fixed In Version: bugzilla-4.2.15, bugzilla-4.4.10, bugzilla-5.0.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:43:31 UTC


Attachments (Terms of Use)

Description Adam Mariš 2015-09-11 14:41:08 UTC
As announced in http://seclists.org/bugtraq/2015/Sep/48 :

Login names (usually an email address) longer than 127 characters are silently truncated in MySQL which could cause the domain name of the email address to be corrupted. An attacker could use this vulnerability to create an account with an email address different from the one originally requested. The login name could then be automatically added to groups based on the group's regular expression setting.

Upstream patches:

Fix for 4.2: https://git.mozilla.org/?p=bugzilla/bugzilla.git;a=commitdiff;h=10b1fef
Fix for 4.4: https://git.mozilla.org/?p=bugzilla/bugzilla.git;a=commitdiff;h=be1be8c
Fix for 5.0: https://git.mozilla.org/?p=bugzilla/bugzilla.git;a=commitdiff;h=69386c5
Fix on master branch: https://git.mozilla.org/?p=bugzilla/bugzilla.git;a=commitdiff;h=9d64d15

Comment 1 Adam Mariš 2015-09-11 14:42:24 UTC
Created bugzilla tracking bugs for this issue:

Affects: fedora-all [bug 1262405]
Affects: epel-5 [bug 1262406]
Affects: epel-6 [bug 1262407]

Comment 2 Fedora Update System 2015-10-05 18:15:48 UTC
bugzilla-4.4.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-10-28 16:20:31 UTC
bugzilla-4.4.10-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-10-28 16:27:13 UTC
bugzilla-4.4.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Product Security DevOps Team 2019-06-08 02:43:31 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.